Bug 23196 - Reindent tools/batch_record_modification.tt
Summary: Reindent tools/batch_record_modification.tt
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-24 17:07 UTC by Owen Leonard
Modified: 2019-07-26 14:55 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Bug 23196: Reindent tools/batch_record_modification.tt (41.18 KB, patch)
2019-06-24 17:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23196: (follow-up) Add comments to highlight structure (3.84 KB, patch)
2019-06-24 17:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23196: Reindent tools/batch_record_modification.tt (41.23 KB, patch)
2019-06-24 18:35 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23196: (follow-up) Add comments to highlight structure (3.89 KB, patch)
2019-06-24 18:35 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 23196: Reindent tools/batch_record_modification.tt (41.29 KB, patch)
2019-06-26 22:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23196: (follow-up) Add comments to highlight structure (3.95 KB, patch)
2019-06-26 22:03 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-06-24 17:07:23 UTC
I would like to reindent tools/batch_record_modification.tt: Remove correct indentation, add some comments to clarify the structure.
Comment 1 Owen Leonard 2019-06-24 17:31:37 UTC
Created attachment 90965 [details] [review]
Bug 23196: Reindent tools/batch_record_modification.tt

This patch re-indents the template for batch record modifications. It
makes only whitespace changes. It should have no effect on the behavior
of the page.

To test, apply the patch and perform a diff against master using the
'-w' flag:

git diff -w origin/master

There should be no changes reported.
Comment 2 Owen Leonard 2019-06-24 17:31:40 UTC
Created attachment 90966 [details] [review]
Bug 23196: (follow-up) Add comments to highlight structure

This follow-up adds a few comments to the markup in order to highlight
and clarify the the HTML structure.

To test, apply the patch and perform a diff against master using the
'-w' flag:

git diff -w origin/master

You should only see the addition of HTML comments.
Comment 3 M. Tompsett 2019-06-24 18:35:09 UTC
Created attachment 90972 [details] [review]
Bug 23196: Reindent tools/batch_record_modification.tt

This patch re-indents the template for batch record modifications. It
makes only whitespace changes. It should have no effect on the behavior
of the page.

To test, apply the patch and perform a diff against master using the
'-w' flag:

git diff -w origin/master

There should be no changes reported.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 M. Tompsett 2019-06-24 18:35:12 UTC
Created attachment 90973 [details] [review]
Bug 23196: (follow-up) Add comments to highlight structure

This follow-up adds a few comments to the markup in order to highlight
and clarify the the HTML structure.

To test, apply the patch and perform a diff against master using the
'-w' flag:

git diff -w origin/master

You should only see the addition of HTML comments.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 Jonathan Druart 2019-06-24 20:01:09 UTC
If the file is correctly indented, do we really need the comments?
Comment 6 Katrin Fischer 2019-06-25 06:00:44 UTC
I've found them very helpful in the past. The issue probably is that it won't stay that way and in a big file it can really help orientation.
Comment 7 Owen Leonard 2019-06-25 11:23:58 UTC
(In reply to Jonathan Druart from comment #5)
> If the file is correctly indented, do we really need the comments?

I also find the comments helpful when viewing source in the browser.
Comment 8 Katrin Fischer 2019-06-26 22:02:56 UTC
Created attachment 91036 [details] [review]
Bug 23196: Reindent tools/batch_record_modification.tt

This patch re-indents the template for batch record modifications. It
makes only whitespace changes. It should have no effect on the behavior
of the page.

To test, apply the patch and perform a diff against master using the
'-w' flag:

git diff -w origin/master

There should be no changes reported.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-06-26 22:03:00 UTC
Created attachment 91037 [details] [review]
Bug 23196: (follow-up) Add comments to highlight structure

This follow-up adds a few comments to the markup in order to highlight
and clarify the the HTML structure.

To test, apply the patch and perform a diff against master using the
'-w' flag:

git diff -w origin/master

You should only see the addition of HTML comments.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Martin Renvoize 2019-06-28 14:05:34 UTC
Nice work!

Pushed to master for 19.11.00
Comment 11 Fridolin SOMERS 2019-07-25 11:51:44 UTC
Pushed to 19.05.x for 19.05.03

Refactoring with only spaces so I choose to backport in order to minimize future conflicts with master commits ;)
Comment 12 Lucas Gass 2019-07-26 14:55:03 UTC
tried to backport, but quite a few merge conflicts and since this is an enhancement I am choosing to skip for 18.11.x, no backport